Subject: Re: cow spit makes the grass grow

From: [email-masked]
Date: Sun, 26 Jan 1997 12:51:12 -0500 (EST)

Jean Baugh mentioned this and I think I have found further reference to it in
an article by  Gene Logsdon" The Importance of Traditional Farming Practices"
in a collection called-MEETING THE EXPECTATIONS OF THE LAND  ed. Wes Jackson
,Wendell Berry, Bruce Coleman North Point Press 1984
In the article, Gene Logsdon mentions he had read something about it " out of
the University of Minnesota a few years ago"
Its not much but its a start. 
Im just starting out, but I hope this helps....Happy trails, Kiya Heartwood